Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge xorg-server - The following USE changes are necessary
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
lilgamesh
n00b
n00b


Joined: 13 Mar 2013
Posts: 9

PostPosted: Sat Mar 16, 2013 11:14 pm    Post subject: emerge xorg-server - The following USE changes are necessary Reply with quote

emerge xorg-server

generates

The following USE changes are necessary to proceed:

#x11-drivers/xf86-video........., x11-base/......, x11-bae/.......=x11-libs/libdrm-2.4.40 libkms

#x11-drivers/xf86-video........., x11-base/......, x11-bae/.......=media-libs/mesa-9.0.1 xa

what should i add for USE flags
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Sat Mar 16, 2013 11:35 pm    Post subject: Reply with quote

lilgamesh,

Paste back the output of:
Code:
emerge -pv xorg-server

_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
lilgamesh
n00b
n00b


Joined: 13 Mar 2013
Posts: 9

PostPosted: Sat Mar 16, 2013 11:59 pm    Post subject: Reply with quote

i already tried that, got same error.

i will post the complete output later.

thanks for your help
Back to top
View user's profile Send private message
aim nano
Tux's lil' helper
Tux's lil' helper


Joined: 20 Jan 2006
Posts: 115
Location: Jackson, MS

PostPosted: Sun Mar 17, 2013 12:02 am    Post subject: Reply with quote

That means certain packages need special use flags.

You can add these on a package-by-package basis in /etc/portage/package.use so that you don't have to change your make.conf use flags which affect EVERYTHING.

Try this:

Code:
echo "=x11-libs/libdrm-2.4.40 libkms" >> /etc/portage/package.use
echo "=media-libs/mesa-9.0.1 xa" >> /etc/portage/package.use


then try to emerge xorg-server again.
_________________
Unanswered posts need love too.
--
~ # emerge -pv gentoo-love
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Sun Mar 17, 2013 12:11 am    Post subject: Reply with quote

lilgamesh wrote:
i already tried that, got same error.

i will post the complete output later.

thanks for your help

Not necessary - adding those entries from the other reply will work. Just wanted to make sure the rest looked good.

emerge -pv is a "pretend" emerge, it won't actually try to install anything :wink:
_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
lilgamesh
n00b
n00b


Joined: 13 Mar 2013
Posts: 9

PostPosted: Sun Mar 17, 2013 12:28 am    Post subject: Reply with quote

aim nano wrote:
That means certain packages need special use flags.

You can add these on a package-by-package basis in /etc/portage/package.use so that you don't have to change your make.conf use flags which affect EVERYTHING.

Try this:

Code:
echo "=x11-libs/libdrm-2.4.40 libkms" >> /etc/portage/package.use
echo "=media-libs/mesa-9.0.1 xa" >> /etc/portage/package.use


then try to emerge xorg-server again.


That worked. earlier I have written only "xa" and "libkms" to the file. Now I understand it right.

thanks a bunch.
Back to top
View user's profile Send private message
lilgamesh
n00b
n00b


Joined: 13 Mar 2013
Posts: 9

PostPosted: Sun Mar 17, 2013 12:30 am    Post subject: Reply with quote

BillWho wrote:
lilgamesh wrote:
i already tried that, got same error.

i will post the complete output later.

thanks for your help

Not necessary - adding those entries from the other reply will work. Just wanted to make sure the rest looked good.

emerge -pv is a "pretend" emerge, it won't actually try to install anything :wink:



thatz correct. I also understand about -pv now.
Thanks a lot.

It is already installing 17 of 49th.
Back to top
View user's profile Send private message
xpressrazor
n00b
n00b


Joined: 17 Mar 2013
Posts: 1

PostPosted: Sun Mar 17, 2013 1:24 pm    Post subject: Reply with quote

aim nano wrote:
That means certain packages need special use flags.

That worked. earlier I have written only "xa" and "libkms" to the file. Now I understand it right.

thanks a bunch.


I was also doing another mistake my not caring for >= sign in similar condition. I thought only = was needed. :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum